summaryrefslogtreecommitdiff
path: root/support
diff options
context:
space:
mode:
authorThomas Petazzoni <thomas.petazzoni@free-electrons.com>2012-06-29 00:14:56 +0000
committerPeter Korsgaard <jacmet@sunsite.dk>2012-06-30 23:53:38 +0200
commit9910eba33adb2b783b0df5d90a857816e82fbd55 (patch)
tree528851aca2415082926b4086362626e777495655 /support
parentf4da6b8bd979a49c4ca14fb6003d2b05f6d8c5b7 (diff)
dependencies: ensure that DESTDIR isn't set when running Buildroot
Having DESTDIR set in the environment before running Buildroot creates some funky problems in the build process. Prevent users from running into this kind of troubles. Cc: Michael Opdenacker <michael.opdenacker@free-electrons.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
Diffstat (limited to 'support')
-rwxr-xr-xsupport/dependencies/dependencies.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/support/dependencies/dependencies.sh b/support/dependencies/dependencies.sh
index c47ffcf43..43ec3cc0f 100755
--- a/support/dependencies/dependencies.sh
+++ b/support/dependencies/dependencies.sh
@@ -48,6 +48,12 @@ if test -n "$PERL_MM_OPT" ; then
exit 1
fi
+if test -n "$DESTDIR" ; then
+ /bin/echo -e "\nYou have the DESTDIR environment variable set. Please"
+ /bin/echo -e "unset it so that Buildroot can work properly."
+ exit 1
+fi
+
# Verify that which is installed
if ! which which > /dev/null ; then
/bin/echo -e "\nYou must install 'which' on your build machine\n";